+++
title = 'Projects'
menu = 'main'
+++

# Projects 

Highlights of past and current projects. Many of these were developed before the
inception of the blog, so they have been memorialized here.

## This blog

_Started 2024-05_ - Recently, I've recognized how much I write about my projects
in private. This website is my attempt to start documenting them in public,
instead of scattering all that information across multiple chatrooms. It's also
the perfect spot to build a portfolio of my favorite projects. 

Website source code: https://forge.gaussian.dev/adam/gaussian.dev

## Glowie

_2024-02_ - Analog oscilloscope simulator, for playing "oscilloscope music".

![Demo 1](glowie-1.webp) ![Demo 2](glowie-2.webp)

[Watch on YouTube](https://www.youtube.com/watch?v=eRhQOdXDpUo)

https://github.com/agausmann/glowie

## Riemann

_2022-08_ - Custom 60% ortholinear keyboard with a 2x 7-segment HUD.

![SN1](riemann-sn1.webp)

https://codeberg.org/agausmann/riemann-kb - Firmware, PCB design, and case design

## Piccolo

_2022-07_ - A Raspberry Pi Pico clone with a USB-C port. Also ported the
original design files to KiCad. My most ambitious (and most expensive) PCB at
the time.

https://github.com/agausmann/piccolo

## atmega-usbd

_2022-07_ - Bringing the Rust `usb-device` framework to ATmega32u4.

https://github.com/agausmann/atmega-usbd/

## SMM2-Stats

_2022-03_ - Frequency analysis of items and tiles in Super Mario Maker 2.

https://github.com/agausmann/smm2-stats

## Bad Apple in Logic World

_2021-10_ - The name speaks for itself. 24x18 at 15 FPS, hundreds of thousands
of simulated logic components.

![Bad Apple in Logic World](logicworld-badapple.webp)

[See the results](https://youtu.be/R5hdmBmmn0g)  
World generator: https://github.com/agausmann/LogicWorld-BadApple


## Global clock

_2021-08_ - Universal clock with a rotating map and shading effects. Inspired
by [xkcd now](https://xkcd.com/now/)

![Global clock](global-clock.webp)

https://codeberg.org/agausmann/global-clock

## WindowMaster

_2021-03_ - A physical controller for the Windows Volume Mixer (sndvol). Set the
volume for individual applications without alt-tabbing. My first PCB project.

![WindowMaster Rev1](windowmaster-rev1.webp)

https://github.com/agausmann/WindowMaster

For a more polished, cross-platform experience, I recommend looking into
[deej](https://github.com/omriharel/deej)!

## FlipFlop

_Started 2020-12_ - A digital logic simulator, inspired by redstone from
Minecraft Alpha and some other mechanics from Logic World.

![Full adder in FlipFlop](flipflop-full-adder.webp)

Development has slowed, but I still have some plans for future developments.

https://github.com/agausmann/FlipFlop

## Perftree

_2020-04_ - A debugger for chess engine move generation, using the perft
function.

[![perftree-asciicast](https://asciinema.org/a/rWP6zJFUA3ZldASxfHWv3iL5z.svg)](https://asciinema.org/a/rWP6zJFUA3ZldASxfHWv3iL5z)

https://github.com/agausmann/perftree
