# Contributing to Hugo ʕ•ᴥ•ʔ Bear Blog

Thank you for your interest in contributing to Hugo ʕ•ᴥ•ʔ Bear Blog! This Hugo theme aims to maintain the simplicity and elegance of the original [ʕ•ᴥ•ʔ Bear Blog Platform](https://bearblog.dev/) while enabling you to host your site completely independently. Before contributing, please take a moment to review these guidelines.

## 🤔 Have a Question?

If you have questions about using the theme or implementing specific features:

1. Check our [existing GitHub issues](https://github.com/janraasch/hugo-bearblog/issues) - your question might already be answered
2. Consider posting on the [Hugo Discourse](https://discourse.gohugo.io/) - there's a larger community there that might help, and your question could benefit others

## 🐛 Found a Bug?

If you've discovered a bug:

1. First, search our [existing issues](https://github.com/janraasch/hugo-bearblog/issues) to see if it's already reported
2. If not, create a new issue with:
   - A clear description of the problem
   - Steps to reproduce the issue
   - Expected vs actual behavior
   - Your Hugo version and configuration
   - Any relevant error messages or screenshots

## ✨ Feature Requests

While we appreciate feature suggestions, please note that Hugo ʕ•ᴥ•ʔ Bear Blog intentionally maintains a minimal feature set, staying true to the original [ʕ•ᴥ•ʔ Bear Blog Platform's](https://bearblog.dev/) philosophy.

Before submitting a feature request:

1. Review existing issues and discussions - your idea might have been discussed before
2. Consider if the feature could be implemented using Hugo's built-in capabilities

If you decide to submit a feature request, please:
- Clearly describe the feature and its use case
- Consider providing examples of similar implementations

## 🚀 Pull Requests

Pull requests are welcome! Please:

1. Create an issue first to discuss *significant* changes
2. Fork the repository and create a new branch for your feature
3. Follow the existing code style
4. Include appropriate documentation updates
5. Test your changes thoroughly

## 💝 Share Your Experience
We love hearing how people are using Hugo ʕ•ᴥ•ʔ Bear Blog! If you're using the theme for your website, have made interesting customizations, or just want to share your appreciation:

1. Visit our [issues](https://github.com/janraasch/hugo-bearblog/issues) page
2. Select "Share Your Story" template
3. Tell us about your experience, share screenshots, or show off your customizations

Your stories help build our community and might inspire others in their journey!

Thank you for helping make Hugo ʕ•ᴥ•ʔ Bear Blog better! 🎉